RDKit::MolStandardize::Reionizer Class Reference

The reionizer class to fix charges and reionize a molecule such that the. More...

`#include <Charge.h>`

## Public Member Functions

| Reionizer ()
| Reionizer (const std::string acidbaseFile)
| construct a Reionizer with a particular acidbaseFile More...
| Reionizer (const std::string acidbaseFile, const std::vector< ChargeCorrection > ccs)
| construct a Reionizer with a particular acidbaseFile and charge More...
| Reionizer (std::istream &acidbaseStream, const std::vector< ChargeCorrection > ccs)
| construct a Reionizer with a particular acidbaseFile and charge More...
| Reionizer (const Reionizer &other)=delete
| making Reionizer objects non-copyable More...
Reionizer & | operator= (Reionizer const &)=delete
| ~Reionizer ()
ROMol * | reionize (const ROMol &mol)
| Enforce charges on certain atoms, then perform competitive reionization. More...

## Detailed Description

The reionizer class to fix charges and reionize a molecule such that the.

Notes:

Definition at line 58 of file Charge.h.

## Constructor & Destructor Documentation

## Reionizer() [1/5]

RDKit::MolStandardize::Reionizer::Reionizer | ( |  | ) |

## Reionizer() [2/5]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const std::string | acidbaseFile | ) |

construct a Reionizer with a particular acidbaseFile

## Reionizer() [3/5]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const std::string | acidbaseFile,
|  | const std::vector< ChargeCorrection > | ccs
| ) |  |

construct a Reionizer with a particular acidbaseFile and charge

## Reionizer() [4/5]

RDKit::MolStandardize::Reionizer::Reionizer | ( | std::istream & | acidbaseStream,
|  | const std::vector< ChargeCorrection > | ccs
| ) |  |

construct a Reionizer with a particular acidbaseFile and charge

## Reionizer() [5/5]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const Reionizer & | other | ) |

delete

making Reionizer objects non-copyable

## ~Reionizer()

RDKit::MolStandardize::Reionizer::~Reionizer | ( |  | ) |

## Member Function Documentation

## operator=()

Reionizer& RDKit::MolStandardize::Reionizer::operator= | ( | Reionizer const & |  | ) |

delete

## reionize()

ROMol* RDKit::MolStandardize::Reionizer::reionize | ( | const ROMol & | mol | ) |

Enforce charges on certain atoms, then perform competitive reionization.

The documentation for this class was generated from the following file:

- Charge.h